Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.sim.platform
Class Mica2

    java.lang.Object
      avrora.sim.platform.Platform
          avrora.sim.platform.Mica2

public class Mica2
extends Platform

The `Mica2` class is an implementation of the `Platform` interface that represents both a specific microcontroller and the devices connected to it. This implementation therefore uses the ATMega128L microcontroller and uses LED and Radio devices, etc. The Mica2 class differs from Mica in that it runs the ATMega128L not in compatibility mode. In addition, the CC1000 radio implementation is installed on the Mica2.

Nested Class Summary
`static class` | `Mica2.Factory`

Field Summary
`protected ExternalFlash` | `externalFlash`
`protected LightSensor` | `lightSensor`
`protected static int` | `MAIN_HZ`
`protected Radio` | `radio`
`protected SensorBoard` | `sensorboard`
`protected Simulator` | `sim`

Fields inherited from class avrora.sim.platform.Platform
`devices, mcu`

Method Summary
`protected void` | `addDevices()` The `addDevices()` method is used to add the external (off-chip) devices to the platform.

Methods inherited from class avrora.sim.platform.Platform
`addDevice, getDevice, getMicrocontroller`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MAIN_HZ

    protected static final int MAIN_HZ

See Also:
  Constant Field Values

### sim

    protected final Simulator sim

### radio

    protected Radio radio

### sensorboard

    protected SensorBoard sensorboard

### externalFlash

    protected ExternalFlash externalFlash

### lightSensor

    protected LightSensor lightSensor

Method Detail

### addDevices

    protected void addDevices()

  The `addDevices()` method is used to add the external (off-chip) devices to the platform. For the mica2, these include the LEDs, the radio, and the sensor board.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD